// If you edit this file you need to compile the theme. See README.md for details.

// Global variable overrides. Must be declared before importing Valo.

// Defines the plaintext font size, weight and family. Font size affects general component sizing.
//$v-font-size: 16px;
//$v-font-weight: 300;
//$v-font-family: "Open Sans", sans-serif;

// Defines the border used by all component.
//$v-border: 1px solid (v-shade 0.7);
//$v-border-radius: 4px;

// Affects the color of some component elements, e.g Button, Panel title, etc
//$v-background-color: hsl(210, 0%, 98%);
// Affects the color of content areas, e.g  Panel and Window content, TextField input etc
//$v-app-background-color: $v-background-color;

// Affects the additional appearance of all component
//$v-gradient: v-linear 8%;
//$v-bevel-depth: 30%;
//$v-shadow-opacity: 5%;

// Defines colors for indicating status (focus, success, failure)
//$v-focus-color: valo-focus-color(); // Calculates a suitable color automatically
//$v-friendly-color: #2c9720;
//$v-error-indicator-color: #ed473b;

// For more information, see: https://vaadin.com/book/-/page/themes.valo.html
// Example variants can be copy/pasted from https://vaadin.com/wiki/-/wiki/Main/Valo+Examples

//noinspection CssUnknownTarget
@import '../valo/valo.scss';

@mixin mytheme {

  //noinspection SassScssResolvedByNameOnly
  @include valo;

  .bordered-image,
  .gallery-image {
    border: 3px solid gray;
    padding: 3px;
    border-radius: 15px;
  }

  .bordered-image {
    min-height: 250px;
  }

  /*
  .gallery-image {
    min-height: 25px;
    cursor: pointer;
  }
  */

  //TODO: change patterns patterns location (if it stay in the middle, fix approach to do it)
  .v-select-optiongroup {
    padding-left: 37px;
  }

  .gitlab-link {
    font-family: tahoma, serif;
    font-size: 16px;
    position: fixed;
    top: 32px;
    right: -52px;
    display: block;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    background-color: chocolate;
    color: white;
    padding: 8px 36px 8px 36px;
    z-index: 1;
  }
}
